const system=require("../../../system");
const settings=require("../../../../config/settings");
const uiconfig=system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("transactioninfo", {
    company_name: DataTypes.STRING(255),
    usc_code: DataTypes.STRING(255),
    id_name: DataTypes.STRING(20),
    id_no: DataTypes.STRING(50),
    bank_no: DataTypes.STRING(50),
    amt: DataTypes.STRING(20),
    actual_amount: DataTypes.STRING(20),
    deduct_amt: DataTypes.STRING(20),
    service_fee: DataTypes.STRING(20),
    value_added_fee: DataTypes.STRING(20),
    transaction_time: DataTypes.DATE,
    sign_body: DataTypes.STRING(50),
    income_tax: DataTypes.STRING(20),
    channel_rsp_no: DataTypes.STRING(30),
    order_item_id: DataTypes.STRING(32),
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: false,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
      tableName: 'transaction_info',
     validate: {

     },
     indexes:[
       // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
         //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
         //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
         //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
     ]
  });
}
